org.tmatesoft.svn.core

## Class SVNProperty

- java.lang.Object
- - org.tmatesoft.svn.core.SVNProperty

-     public class SVNProperty
      extends java.lang.Object

  The SVNProperty class is a representation class for both versioned properties (user-managed svn specials) and for metaproperties (untweakable) supported by Subversion. This class holds string constants that are property names, and gives some useful methods to operate with properties (in particular).
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ABSENT` An "svn:entry:absent" SVN untweakable metaproperty.
    `static java.lang.String` | `ACTIVITY_URL` An "svn:wc:ra_dav:activity-url" SVN untweakable metaproperty.
    `static SVNPropertyValue` | `BOOLEAN_PROPERTY_VALUE` Default value for such properties as `EXECUTABLE`, `NEEDS_LOCK`, `SPECIAL`.
    `static java.lang.String` | `CACHABLE_PROPS` "cachable-props" SVN untweakable metaproperty.
    `static java.lang.String` | `CHANGELIST` An "svn:entry:changelist" SVN untweakable metaproperty.
    `static java.lang.String` | `CHARSET` `SVNKit` specific property denoting a charset.
    `static java.lang.String` | `CHECKSUM` An "svn:entry:checksum" SVN untweakable metaproperty.
    `static java.lang.String` | `COMMITTED_DATE` An "svn:entry:committed-date" SVN untweakable metaproperty.
    `static java.lang.String` | `COMMITTED_REVISION` An "svn:entry:committed-rev" SVN untweakable metaproperty.
    `static java.lang.String` | `CONFLICT_NEW` An "svn:entry:conflict-new" SVN untweakable metaproperty.
    `static java.lang.String` | `CONFLICT_OLD` An "svn:entry:conflict-old" SVN untweakable metaproperty.
    `static java.lang.String` | `CONFLICT_WRK` An "svn:entry:conflict-wrk" SVN untweakable metaproperty.
    `static java.lang.String` | `COPIED` An "svn:entry:copied" SVN untweakable metaproperty.
    `static java.lang.String` | `COPYFROM_REVISION` An "svn:entry:copyfrom-rev" SVN untweakable metaproperty.
    `static java.lang.String` | `COPYFROM_URL` An "svn:entry:copyfrom-url" SVN untweakable metaproperty.
    `static java.lang.String` | `CORRUPTED` An "svn:entry:corrupted" SVN untweakable metaproperty.
    `static java.lang.String` | `DELETED` An "svn:entry:deleted" SVN untweakable metaproperty.
    `static java.lang.String` | `DEPTH` An "svn:entry:depth" SVN untweakable metaproperty.
    `static byte[]` | `EOL_CR_BYTES` CR (carriage return) EOL (end of line) byte array.
    `static byte[]` | `EOL_CRLF_BYTES` CR (carriage return) and LF (line feed) EOL (end of line) bytes array.
    `static byte[]` | `EOL_LF_BYTES` LF (line feed) EOL (end of line) byte array.
    `static java.lang.String` | `EOL_STYLE` An "svn:eol-style" SVN special property.
    `static java.lang.String` | `EOL_STYLE_CR` One of the four possible values of the `EOL_STYLE` property - "CR" (linefeed)
    `static java.lang.String` | `EOL_STYLE_CRLF` One of the four possible values of the `EOL_STYLE` property - "CRLF"
    `static java.lang.String` | `EOL_STYLE_LF` One of the four possible values of the `EOL_STYLE` property - "LF" (line feed)
    `static java.lang.String` | `EOL_STYLE_NATIVE` One of the four possible values of the `EOL_STYLE` property - "native"
    `static java.lang.String` | `EXECUTABLE` An "svn:executable" SVN special property.
    `static java.lang.String` | `EXTERNALS` An "svn:externals" SVN special property.
    `static java.lang.String` | `FILE_EXTERNAL_PATH`
    `static java.lang.String` | `FILE_EXTERNAL_PEG_REVISION`
    `static java.lang.String` | `FILE_EXTERNAL_REVISION`
    `static java.lang.String` | `HAS_PROP_MODS` "has-prop-mods" SVN untweakable metaproperty.
    `static java.lang.String` | `HAS_PROPS` "has-props" SVN untweakable metaproperty.
    `static java.lang.String` | `IGNORE` An "svn:ignore" SVN special property.
    `static java.lang.String` | `INCOMPLETE` An "svn:entry:incomplete" SVN untweakable metaproperty.
    `static java.lang.String` | `KEEP_LOCAL` An "svn:entry:keep-local" SVN untweakable metaproperty.
    `static java.lang.String` | `KEYWORDS` An "svn:keywords" SVN special property.
    `static java.lang.String` | `KIND` An "svn:entry:kind" SVN untweakable metaproperty.
    `static java.lang.String` | `KIND_DIR` One of the two possible values of the `KIND` property - "dir"
    `static java.lang.String` | `KIND_FILE` One of the two possible values of the `KIND` property - "file"
    `static java.lang.String` | `LAST_AUTHOR` An "svn:entry:last-author" SVN untweakable metaproperty.
    `static java.lang.String` | `LOCK_COMMENT` An "svn:entry:lock-comment" SVN untweakable metaproperty.
    `static java.lang.String` | `LOCK_CREATION_DATE` An "svn:entry:lock-creation-date" SVN untweakable metaproperty.
    `static java.lang.String` | `LOCK_OWNER` An "svn:entry:lock-owner" SVN untweakable metaproperty.
    `static java.lang.String` | `LOCK_TOKEN` An "svn:entry:lock-token" SVN untweakable metaproperty.
    `static java.lang.String` | `MERGE_INFO`
    `static java.lang.String` | `MIME_TYPE` An "svn:mime-type" SVN special property.
    `static java.lang.String` | `NAME` An "svn:entry:name" SVN untweakable metaproperty.
    `static java.lang.String` | `NATIVE` Default value for the `CHARSET` property denoting that the native charset should be used to encode a file during translation.
    `static java.lang.String` | `NEEDS_LOCK` An "svn:needs-lock" SVN special property.
    `static java.lang.String` | `PRESENT_PROPS` "present-props" SVN untweakable metaproperty.
    `static java.lang.String` | `PROP_REJECT_FILE` An "svn:entry:prop-reject-file" SVN untweakable metaproperty.
    `static java.lang.String` | `PROP_TIME` An "svn:entry:prop-time" SVN untweakable metaproperty.
    `static java.lang.String` | `REPOS` An "svn:entry:repos" SVN untweakable metaproperty.
    `static java.lang.String` | `REVISION` An "svn:entry:revision" SVN untweakable metaproperty.
    `static java.lang.String` | `SCHEDULE` An "svn:entry:schedule" SVN untweakable metaproperty.
    `static java.lang.String` | `SCHEDULE_ADD` One of the three possible values of the `SCHEDULE` property - "add"
    `static java.lang.String` | `SCHEDULE_DELETE` One of the three possible values of the `SCHEDULE` property - "delete"
    `static java.lang.String` | `SCHEDULE_REPLACE` One of the three possible values of the `SCHEDULE` property - "replace"
    `static java.lang.String` | `SPECIAL` An "svn:special" SVN special property.
    `static java.lang.String` | `SVN_ENTRY_PREFIX` An "svn:entry:" prefix.
    `static java.lang.String` | `SVN_PREFIX` An "svn:" prefix.
    `static java.lang.String` | `SVN_SYNC_PREFIX` The namespace for revision properties which are used in repository synching operations.
    `static java.lang.String` | `SVN_WC_PREFIX` An "svn:wc:" prefix.
    `static java.lang.String` | `SVNKIT_PREFIX` SVNKit's own property namespace.
    `static java.lang.String` | `TEXT_TIME` An "svn:entry:text-time" SVN untweakable metaproperty.
    `static java.lang.String` | `TREE_CONFLICT_DATA`
    `static java.lang.String` | `TXN_CHECK_LOCKS` A special property used in a commit transaction.
    `static java.lang.String` | `TXN_CHECK_OUT_OF_DATENESS` A special property used in a commit transaction.
    `static java.lang.String` | `URL` An "svn:entry:url" SVN untweakable metaproperty.
    `static java.lang.String` | `UUID` An "svn:entry:uuid" SVN untweakable metaproperty.
    `static java.lang.String` | `WC_URL` An "svn:wc:ra_dav:version-url" SVN untweakable metaproperty.
    `static java.lang.String` | `WORKING_SIZE` An "svn:entry:working-size" SVN untweakable metaproperty.
    `static long` | `WORKING_SIZE_UNKNOWN` Default value of the `WORKING_SIZE` property.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SVNProperty()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `booleanValue(java.lang.String text)` Converts a string representation of a boolean value to boolean.
    `static SVNPropertyValue` | `getValueOfBooleanProperty(java.lang.String propName)` Returns the value for such boolean properties as "svn:executable", "svn:needs-lock" and "svn:special".
    `static boolean` | `isBinaryMimeType(java.lang.String mimeType)` Says if the given MIME-type corresponds to a binary (non-textual) type.
    `static boolean` | `isBooleanProperty(java.lang.String propName)` Checks whether the property is boolean.
    `static boolean` | `isEntryProperty(java.lang.String name)` Says if the given property name starts with the `SVN_ENTRY_PREFIX` prefix.
    `static boolean` | `isRegularProperty(java.lang.String name)` Checks if a property is regular.
    `static boolean` | `isSVNProperty(java.lang.String name)` Says if the given property name starts with the `SVN_PREFIX` prefix or with the `SVNKIT_PREFIX`.
    `static boolean` | `isTextMimeType(java.lang.String mimeType)` Says if the given MIME-type corresponds to a text type.
    `static boolean` | `isUTF8(java.lang.String charset)` Says if the given charset is the name of UTF-8 encoding.
    `static boolean` | `isWorkingCopyProperty(java.lang.String name)` Says if the given property name starts with the `SVN_WC_PREFIX` prefix.
    `static long` | `longValue(java.lang.String text)` Converts a string representation of a numeric value to a long value.
    `static java.lang.String` | `shortPropertyName(java.lang.String longName)` Returns a short name for the given property name - that is a name without any prefixes.
    `static java.lang.String` | `toString(boolean b)` Converts a boolean value to a string representation.
    `static java.lang.String` | `toString(long i)` Converts a long value to a string representation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SVN_PREFIX

          public static final java.lang.String SVN_PREFIX

      An "svn:" prefix.
      See Also:
        Constant Field Values

    - #### SVNKIT_PREFIX

          public static final java.lang.String SVNKIT_PREFIX

      SVNKit's own property namespace.
      See Also:
        Constant Field Values

    - #### SVN_WC_PREFIX

          public static final java.lang.String SVN_WC_PREFIX

      An "svn:wc:" prefix.
      See Also:
        Constant Field Values

    - #### SVN_SYNC_PREFIX

          public static final java.lang.String SVN_SYNC_PREFIX

      The namespace for revision properties which are used in repository synching operations.
      See Also:
        Constant Field Values

    - #### TXN_CHECK_LOCKS

          public static final java.lang.String TXN_CHECK_LOCKS

      A special property used in a commit transaction.
      See Also:
        Constant Field Values

    - #### TXN_CHECK_OUT_OF_DATENESS

          public static final java.lang.String TXN_CHECK_OUT_OF_DATENESS

      A special property used in a commit transaction.
      See Also:
        Constant Field Values

    - #### SVN_ENTRY_PREFIX

          public static final java.lang.String SVN_ENTRY_PREFIX

      An "svn:entry:" prefix.
      See Also:
        Constant Field Values

    - #### EOL_STYLE

          public static final java.lang.String EOL_STYLE

      An "svn:eol-style" SVN special property.
      See Also:
        Constant Field Values

    - #### IGNORE

          public static final java.lang.String IGNORE

      An "svn:ignore" SVN special property.
      See Also:
        Constant Field Values

    - #### MIME_TYPE

          public static final java.lang.String MIME_TYPE

      An "svn:mime-type" SVN special property.
      See Also:
        Constant Field Values

    - #### KEYWORDS

          public static final java.lang.String KEYWORDS

      An "svn:keywords" SVN special property.
      See Also:
        Constant Field Values

    - #### EXECUTABLE

          public static final java.lang.String EXECUTABLE

      An "svn:executable" SVN special property.
      See Also:
        Constant Field Values

    - #### EXTERNALS

          public static final java.lang.String EXTERNALS

      An "svn:externals" SVN special property.
      See Also:
        Constant Field Values

    - #### SPECIAL

          public static final java.lang.String SPECIAL

      An "svn:special" SVN special property.
      See Also:
        Constant Field Values

    - #### MERGE_INFO

          public static final java.lang.String MERGE_INFO

      Since:
        SVN 1.5
      See Also:
        Constant Field Values

    - #### REVISION

          public static final java.lang.String REVISION

      An "svn:entry:revision" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### COMMITTED_REVISION

          public static final java.lang.String COMMITTED_REVISION

      An "svn:entry:committed-rev" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### COMMITTED_DATE

          public static final java.lang.String COMMITTED_DATE

      An "svn:entry:committed-date" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### HAS_PROPS

          public static final java.lang.String HAS_PROPS

      "has-props" SVN untweakable metaproperty.
      Since:
        1.1, new in Subversion 1.4
      See Also:
        Constant Field Values

    - #### HAS_PROP_MODS

          public static final java.lang.String HAS_PROP_MODS

      "has-prop-mods" SVN untweakable metaproperty.
      Since:
        1.1, new in Subversion 1.4
      See Also:
        Constant Field Values

    - #### CACHABLE_PROPS

          public static final java.lang.String CACHABLE_PROPS

      "cachable-props" SVN untweakable metaproperty.
      Since:
        1.1, new in Subversion 1.4
      See Also:
        Constant Field Values

    - #### PRESENT_PROPS

          public static final java.lang.String PRESENT_PROPS

      "present-props" SVN untweakable metaproperty.
      Since:
        1.1, new in Subversion 1.4
      See Also:
        Constant Field Values

    - #### KEEP_LOCAL

          public static final java.lang.String KEEP_LOCAL

      An "svn:entry:keep-local" SVN untweakable metaproperty.
      Since:
        1.2.0, new in Subversion 1.5.0
      See Also:
        Constant Field Values

    - #### CHANGELIST

          public static final java.lang.String CHANGELIST

      An "svn:entry:changelist" SVN untweakable metaproperty.
      Since:
        1.2.0, new in Subversion 1.5.0
      See Also:
        Constant Field Values

    - #### WORKING_SIZE

          public static final java.lang.String WORKING_SIZE

      An "svn:entry:working-size" SVN untweakable metaproperty.
      Since:
        1.2.0, new in Subversion 1.5.0
      See Also:
        Constant Field Values

    - #### DEPTH

          public static final java.lang.String DEPTH

      An "svn:entry:depth" SVN untweakable metaproperty.
      Since:
        1.2.0, new in Subversion 1.5.0
      See Also:
        Constant Field Values

    - #### FILE_EXTERNAL_PATH

          public static final java.lang.String FILE_EXTERNAL_PATH

      Since:
        1.3, new in Subversion 1.6
      See Also:
        Constant Field Values

    - #### FILE_EXTERNAL_REVISION

          public static final java.lang.String FILE_EXTERNAL_REVISION

      Since:
        1.3, new in Subversion 1.6
      See Also:
        Constant Field Values

    - #### FILE_EXTERNAL_PEG_REVISION

          public static final java.lang.String FILE_EXTERNAL_PEG_REVISION

      Since:
        1.3, new in Subversion 1.6
      See Also:
        Constant Field Values

    - #### TREE_CONFLICT_DATA

          public static final java.lang.String TREE_CONFLICT_DATA

      Since:
        1.3, new in Subversion 1.6
      See Also:
        Constant Field Values

    - #### CHECKSUM

          public static final java.lang.String CHECKSUM

      An "svn:entry:checksum" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### URL

          public static final java.lang.String URL

      An "svn:entry:url" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### COPYFROM_URL

          public static final java.lang.String COPYFROM_URL

      An "svn:entry:copyfrom-url" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### COPYFROM_REVISION

          public static final java.lang.String COPYFROM_REVISION

      An "svn:entry:copyfrom-rev" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### SCHEDULE

          public static final java.lang.String SCHEDULE

      An "svn:entry:schedule" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### COPIED

          public static final java.lang.String COPIED

      An "svn:entry:copied" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### LAST_AUTHOR

          public static final java.lang.String LAST_AUTHOR

      An "svn:entry:last-author" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### UUID

          public static final java.lang.String UUID

      An "svn:entry:uuid" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### REPOS

          public static final java.lang.String REPOS

      An "svn:entry:repos" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### PROP_TIME

          public static final java.lang.String PROP_TIME

      An "svn:entry:prop-time" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### TEXT_TIME

          public static final java.lang.String TEXT_TIME

      An "svn:entry:text-time" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### NAME

          public static final java.lang.String NAME

      An "svn:entry:name" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### KIND

          public static final java.lang.String KIND

      An "svn:entry:kind" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### CONFLICT_OLD

          public static final java.lang.String CONFLICT_OLD

      An "svn:entry:conflict-old" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### CONFLICT_NEW

          public static final java.lang.String CONFLICT_NEW

      An "svn:entry:conflict-new" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### CONFLICT_WRK

          public static final java.lang.String CONFLICT_WRK

      An "svn:entry:conflict-wrk" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### PROP_REJECT_FILE

          public static final java.lang.String PROP_REJECT_FILE

      An "svn:entry:prop-reject-file" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### DELETED

          public static final java.lang.String DELETED

      An "svn:entry:deleted" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### ABSENT

          public static final java.lang.String ABSENT

      An "svn:entry:absent" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### INCOMPLETE

          public static final java.lang.String INCOMPLETE

      An "svn:entry:incomplete" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### CORRUPTED

          public static final java.lang.String CORRUPTED

      An "svn:entry:corrupted" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### WC_URL

          public static final java.lang.String WC_URL

      An "svn:wc:ra_dav:version-url" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### ACTIVITY_URL

          public static final java.lang.String ACTIVITY_URL

      An "svn:wc:ra_dav:activity-url" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### LOCK_TOKEN

          public static final java.lang.String LOCK_TOKEN

      An "svn:entry:lock-token" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### LOCK_COMMENT

          public static final java.lang.String LOCK_COMMENT

      An "svn:entry:lock-comment" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### LOCK_OWNER

          public static final java.lang.String LOCK_OWNER

      An "svn:entry:lock-owner" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### LOCK_CREATION_DATE

          public static final java.lang.String LOCK_CREATION_DATE

      An "svn:entry:lock-creation-date" SVN untweakable metaproperty.
      See Also:
        Constant Field Values

    - #### NEEDS_LOCK

          public static final java.lang.String NEEDS_LOCK

      An "svn:needs-lock" SVN special property.
      See Also:
        Constant Field Values

    - #### KIND_DIR

          public static final java.lang.String KIND_DIR

      One of the two possible values of the `KIND` property - "dir"
      See Also:
        Constant Field Values

    - #### KIND_FILE

          public static final java.lang.String KIND_FILE

      One of the two possible values of the `KIND` property - "file"
      See Also:
        Constant Field Values

    - #### EOL_STYLE_LF

          public static final java.lang.String EOL_STYLE_LF

      One of the four possible values of the `EOL_STYLE` property - "LF" (line feed)
      See Also:
        Constant Field Values

    - #### EOL_STYLE_CR

          public static final java.lang.String EOL_STYLE_CR

      One of the four possible values of the `EOL_STYLE` property - "CR" (linefeed)
      See Also:
        Constant Field Values

    - #### EOL_STYLE_CRLF

          public static final java.lang.String EOL_STYLE_CRLF

      One of the four possible values of the `EOL_STYLE` property - "CRLF"
      See Also:
        Constant Field Values

    - #### EOL_STYLE_NATIVE

          public static final java.lang.String EOL_STYLE_NATIVE

      One of the four possible values of the `EOL_STYLE` property - "native"
      See Also:
        Constant Field Values

    - #### EOL_LF_BYTES

          public static final byte[] EOL_LF_BYTES

      LF (line feed) EOL (end of line) byte array.

    - #### EOL_CRLF_BYTES

          public static final byte[] EOL_CRLF_BYTES

      CR (carriage return) and LF (line feed) EOL (end of line) bytes array.

    - #### EOL_CR_BYTES

          public static final byte[] EOL_CR_BYTES

      CR (carriage return) EOL (end of line) byte array.

    - #### CHARSET

          public static final java.lang.String CHARSET

      `SVNKit` specific property denoting a charset. A user may set this property on files if he would like to fix the charset of the file. Then when checking out, exporting, updating, etc. files with such properties set on them will be translated (encoded) using the charset value of this property. Note that to take advantage of this property a user must utilize a corresponging version of the `SVNKit` library supporting this property.
      See Also:
        Constant Field Values

    - #### NATIVE

          public static final java.lang.String NATIVE

      Default value for the `CHARSET` property denoting that the native charset should be used to encode a file during translation. The native charset name will be fetched via a call to `ISVNOptions.getNativeCharset()`.
      See Also:
        Constant Field Values

    - #### SCHEDULE_ADD

          public static final java.lang.String SCHEDULE_ADD

      One of the three possible values of the `SCHEDULE` property - "add"
      See Also:
        Constant Field Values

    - #### SCHEDULE_DELETE

          public static final java.lang.String SCHEDULE_DELETE

      One of the three possible values of the `SCHEDULE` property - "delete"
      See Also:
        Constant Field Values

    - #### SCHEDULE_REPLACE

          public static final java.lang.String SCHEDULE_REPLACE

      One of the three possible values of the `SCHEDULE` property - "replace"
      See Also:
        Constant Field Values

    - #### WORKING_SIZE_UNKNOWN

          public static final long WORKING_SIZE_UNKNOWN

      Default value of the `WORKING_SIZE` property.
      Since:
        1.2.0, new in Subversion 1.5.0
      See Also:
        Constant Field Values

    - #### BOOLEAN_PROPERTY_VALUE

          public static final SVNPropertyValue BOOLEAN_PROPERTY_VALUE

      Default value for such properties as `EXECUTABLE`, `NEEDS_LOCK`, `SPECIAL`. Used only by `SVNKit` internals, never stored in a working copy.
      Since:
        1.2.0

  - ### Constructor Detail

    - #### SVNProperty

          public SVNProperty()

  - ### Method Detail

    - #### isWorkingCopyProperty

          public static boolean isWorkingCopyProperty(java.lang.String name)

      Says if the given property name starts with the `SVN_WC_PREFIX` prefix.
      Parameters:
        `name` - a property name to check
      Returns:
        true if `name` is not null and starts with the `SVN_WC_PREFIX` prefix, otherwise false

    - #### isEntryProperty

          public static boolean isEntryProperty(java.lang.String name)

      Says if the given property name starts with the `SVN_ENTRY_PREFIX` prefix.
      Parameters:
        `name` - a property name to check
      Returns:
        true if `name` is not null and starts with the `SVN_ENTRY_PREFIX` prefix, otherwise false

    - #### isSVNProperty

          public static boolean isSVNProperty(java.lang.String name)

      Says if the given property name starts with the `SVN_PREFIX` prefix or with the `SVNKIT_PREFIX`.
      Parameters:
        `name` - a property name to check
      Returns:
        true if `name` is not null and starts with the `SVN_PREFIX` prefix or with the `SVNKIT_PREFIX` prefix, otherwise false

    - #### isRegularProperty

          public static boolean isRegularProperty(java.lang.String name)

      Checks if a property is regular.

      A property is considered to be regular if it is not null and does not start neither with `SVN_WC_PREFIX` nor with `SVN_ENTRY_PREFIX`.
      Parameters:
        `name` - a property name
      Returns:
        true if regular, otherwise false

    - #### isTextMimeType

          public static boolean isTextMimeType(java.lang.String mimeType)

      Says if the given MIME-type corresponds to a text type.
      Parameters:
        `mimeType` - a value of a file `MIME_TYPE` property
      Returns:
        true if `mimeType` is either null or is a text type (starts with "text/")
      See Also:
        `isBinaryMimeType(String)`

    - #### isBinaryMimeType

          public static boolean isBinaryMimeType(java.lang.String mimeType)

      Says if the given MIME-type corresponds to a binary (non-textual) type.
      Parameters:
        `mimeType` - a value of a file `MIME_TYPE` property
      Returns:
        true if `mimeType` is not a text type
      See Also:
        `isTextMimeType(String)`

    - #### isUTF8

          public static boolean isUTF8(java.lang.String charset)

      Says if the given charset is the name of UTF-8 encoding.
      Parameters:
        `charset` - a value of a file `CHARSET` property
      Returns:
        true if `charset` is the name of UTF-8 encoding

    - #### booleanValue

          public static boolean booleanValue(java.lang.String text)

      Converts a string representation of a boolean value to boolean. Useful to convert values of the `COPIED` property.
      Parameters:
        `text` - a string to convert to a boolean value
      Returns:
        true if and only if `text` is not null and is equal, ignoring case, to the string "true"

    - #### longValue

          public static long longValue(java.lang.String text)

      Converts a string representation of a numeric value to a long value. Useful to convert revision numbers.
      Parameters:
        `text` - a string to convert to a long value
      Returns:
        a long representation of the given string; -1 is returned if the string can not be parsed

    - #### toString

          public static java.lang.String toString(boolean b)

      Converts a boolean value to a string representation. Useful to convert values of the `COPIED` property.
      Parameters:
        `b` - a boolean value
      Returns:
        a string representation of `b`

    - #### toString

          public static java.lang.String toString(long i)

      Converts a long value to a string representation. Useful to convert revision numbers.
      Parameters:
        `i` - a long value
      Returns:
        a string representation of `i`

    - #### shortPropertyName

          public static java.lang.String shortPropertyName(java.lang.String longName)

      Returns a short name for the given property name - that is a name without any prefixes.
      Parameters:
        `longName` - a property name
      Returns:
        a property short name

    - #### getValueOfBooleanProperty

          public static SVNPropertyValue getValueOfBooleanProperty(java.lang.String propName)

      Returns the value for such boolean properties as "svn:executable", "svn:needs-lock" and "svn:special". Used by internals.
      Parameters:
        `propName` - a property name
      Returns:
        the property value "*", or null if the property is not boolean
      Since:
        1.1
      See Also:
        `isBooleanProperty(String)`

    - #### isBooleanProperty

          public static boolean isBooleanProperty(java.lang.String propName)

      Checks whether the property is boolean.
      Parameters:
        `propName` - a property name
      Returns:
        true if boolean, otherwise false
      Since:
        1.1

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.